function onBackKeyDown() {
	if($('.location-add').hasClass('show')) {
		locationAddViewDone();
		return;
	}

	if($('.location-list').hasClass('show')) {
		locationListViewDone();
		return;
	}

	if($('.layer-settings').hasClass('show')) {
		$('.layer-settings').removeClass('show');
		$('.layer-settings').on("transitionend webkitTransitionEnd", function(){
			$('.layer-settings').fadeOut(0);
			$('.layer-settings').off("transitionend webkitTransitionEnd");
		});
		return;
	}

	if($('.help').hasClass('show')) {
		rainRadar.hideHelp();
		return;
	}

	if($('.forecast').hasClass('show')) {
		$('.forecast').removeClass('show');
		$('.forecast').on("transitionend webkitTransitionEnd", function(){
			$('.forecast').fadeOut(0);
			$('.forecast').off("transitionend webkitTransitionEnd");
		});
		return;
	}

	if($('.view-body').hasClass('open-menu')) {
		menuEvents.closeMenu();
		return;
	}

	window.plugins.appMinimize.minimize();
}

document.addEventListener("backbutton", onBackKeyDown, false);