var helper = new Helper();

function Helper() {
	var helper = this;

	this.getUVRankColor = function(uvrank) {
		switch (true) {
			case (uvrank <= 2):
				return "#9DCAFF";
			case (uvrank <= 5):
				return "#FBF600";
			case (uvrank <= 7):
				return "#F88D00";
			case (uvrank <= 10):
				return "#F51C00";
			case (uvrank >= 11):
				return "#C300D1";
		}
	};

	this.getUVRankDescription = function(uvrank) {
		switch (true) {
			case (uvrank <= 2):
				return "低い";
			case (uvrank <= 5):
				return "適度";
			case (uvrank <= 7):
				return "高い";
			case (uvrank <= 10):
				return "とても高い";
			case (uvrank >= 11):
				return "極端に高い";
		}
	};

	this.generateUserID = function() {
		var length = 32;
		var chars = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
		var result = '';

		for (var i = length; i > 0; --i) result += chars[Math.floor(Math.random() * chars.length)];
		return result;
	}
}
