var adsManager = new AdsManager();

function AdsManager() {
	var adsManager = this;

	this.runAds = function() {
		inAppPurchase.hasPurchased().then(function(hasPurchased) {
			if (hasPurchased === false) {
				localforage.getItem(config.storePrefix + config.adsManager.isNewUser).then(function(isNewUser) {
					if(isNewUser == "false") {
						setTimeout(function() {
							ads.runInterstitial();
						}, config.timer.adPause);
					}
				});
			}
			else {
				adsManager.disableAds();
			}
		}).catch(function(err) {
			console.log(err);
		});
	}

	this.disableAds = function() {
		localforage.setItem(config.storePrefix + config.adsManager.noAds, "true").then(function(results) {
			menu.hideOnPurchase();
			store.off('owner');
			store.off('approved');
			store.off('verified');
		});
	}
}