var forecast = new Forecast();

function Forecast() {
	var forecast = this;
	this.initialViewLoaded = false;
	this.appendHtml = [];
	this.scroll = null;

	this.populateForecast = function() {
		forecast.appendHtml = [];

		var ln = twc.get10DayLength();
		for(var i = 0; i < ln; i++) {
			var html = (i === 0) ? htmlToday.getHTML() : htmlForecast.getHTML(i);
			forecast.appendHtml.push(html + '</div></div></li>');
		}
		
		$('#forecast-scroller .list').html(forecast.appendHtml);

		forecast.scrollRefresh();
		if(!forecast.initialViewLoaded) {
			$('.forecast').fadeOut(0);
			forecast.initialViewLoaded = true;
		}
	};

	this.scrollRefresh = function() {
		var forecastListHeight = 0;
		$('#forecast-scroller .list li').each(function() {
			forecastListHeight += $(this).outerHeight();
		});
		$('#forecast-scroller .list').css("height", forecastListHeight + 68);
		
		if(forecast.scroll === null) {
			forecast.scroll = new IScroll("#forecast-scroller", {
				scrollX: false,
				scrollY: true,
			});
		}
		else {
			forecast.scroll.refresh();
		}
	};
}

$('.forecast .view-nav').on('touchstart', function() {
	$('.forecast').removeClass('show');
	$('.forecast').on("transitionend webkitTransitionEnd", function(){
		$('.forecast').fadeOut(0);
		$('.forecast').off("transitionend webkitTransitionEnd");
		if(forecast.scroll !== null) forecast.scroll.scrollTo(0, 0);
	});
});
