var inAppPurchase = new InAppPurchase();

function InAppPurchase() {
	var inAppPurchase = this;
	this.isStoreInit = false;
	this.isRestore = false;
	
	this.initStore = function() {
		if (inAppPurchase.isStoreInit === true) {
			return;
		}

		store.register({
	        id: config.purchase.id,
	        alias: "noads",
	        type: store.NON_CONSUMABLE
	    });
		
		store.ready(function() {
	        console.log("\\o/ STORE READY \\o/");
	    });
		
		store.when("noads").approved(function(order) {
			order.verify();
        });
		
		store.when("noads").verified(function(order) {
			order.finish();
			if(inAppPurchase.isRestore) {
				inAppPurchase.isRestore = false;
				navigator.notification.alert("購入を復元", null, "広告を削除する", "Ok");
			}
            adsManager.disableAds();
        });
		
		store.when("noads").owned(function(order) {
			order.finish();
			if(inAppPurchase.isRestore) {
				inAppPurchase.isRestore = false;
				navigator.notification.alert("購入を復元", null, "広告を削除する", "Ok");
			}
            adsManager.disableAds();
        });
		
		store.refresh();
		inAppPurchase.isStoreInit = true;
	};
	
	this.hasPurchased = function() {
		return localforage.getItem(config.storePrefix + config.adsManager.noAds).then(function(value) {
			if (value == "true") {
				return true;
			}
			return false;
		}).catch(function(err) {
			console.log(err);
		});
	};
	
	this.makePurchase = function() {
		inAppPurchase.isRestore = false;
		inAppPurchase.initStore();
		store.order('noads');
	};
	
	this.restorePurchase = function() {
		inAppPurchase.isRestore = true;
		inAppPurchase.initStore();
	};
}
