function translate(text) {
	var low = text.replace(/ /g,'').toLowerCase();
	var $translations = $(translations());
	var result = $translations.prop(low);
	if (result === null || typeof result === 'undefined') {
		return text;
	}
	return result;
}

function translations() {
	return {
		monday: "月曜日",
		tuesday: "火曜日",
		wednesday: "水曜日",
		thursday: "木曜日",
		friday: "金曜日",
		saturday: "土曜日",
		sunday: "日曜日",
		
		jan: "1月",
		feb: "2月",
		mar: "3月",
		apr: "4月",
		may: "5月",
		jun: "6月",
		jul: "7月",
		aug: "8月",
		sep: "9月",
		oct: "10月",
		nov: "11月",
		dec: "12月",

		north: "北",
		south: "南",
		east: "東",
		west: "西",

		北: 'n',
		北北東: 'nne',
		北東: 'ne',
		東北東: 'ene',
		東: 'e',
		東南東: 'ese',
		南東: 'se',
		南南東: 'sse',
		南: 's',
		南南西: 'ssw',
		南西: 'sw',
		西南西: 'wsw',
		西: 'w',
		西北西: 'wnw',
		北西: 'nw',
		北北西: 'nnw',

		変数: 'variable',

		n: '北',
		nne: '北北東',
		ne: '北東',
		ene: '東北東',
		e: '東',
		ese: '東南東',
		se: '南東',
		sse: '南南東',
		s: '南',
		ssw: '南南西',
		sw: '南西',
		wsw: '西南西',
		w: '西',
		wnw: '西北西',
		nw: '北西',
		nnw: '北北西',

		variable: "変数"
	};
}



